> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get group bindings

> Returns a list of `GroupBinding` objects.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /group-bindings
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /group-bindings:
    get:
      tags:
        - group-bindings
      summary: Get group bindings
      description: Returns a list of `GroupBinding` objects.
      operationId: getGroupBindings
      parameters:
        - description: The pagination cursor value.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
        - description: Number of results to return per page. Default is 200.
          example: 200
          explode: true
          in: query
          name: page_size
          schema:
            type: integer
            maximum: 1000
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedGroupBindingsList'
          description: One page worth of group bindings for your organization.
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedGroupBindingsList:
      example:
        next: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
        previous: cj1sZXdwd2VycWtJ
        results:
          - group_binding_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            created_by_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            created_at: '2022-01-23T04:56:07.000Z'
            source_group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            groups:
              - group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
                group_type: OKTA_GROUP
              - group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
                group_type: AWS_SSO_GROUP
          - group_binding_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            created_by_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            source_group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            created_at: '2022-01-23T04:56:07.000Z'
            groups:
              - group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
                group_type: AWS_SSO_GROUP
              - group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
                group_type: OKTA_GROUP
      properties:
        next:
          description: >-
            The cursor with which to continue pagination if additional result
            pages exist.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          nullable: true
          type: string
        previous:
          description: The cursor used to obtain the current result page.
          example: cj1sZXdwd2VycWtJ
          nullable: true
          type: string
        results:
          items:
            $ref: '#/components/schemas/GroupBinding'
          type: array
      required:
        - results
    GroupBinding:
      description: |-
        # Group Binding Object
        ### Description
        The `GroupBinding` object is used to represent a group binding.

        ### Usage Example
        Get group bindings from the `GET Group Bindings` endpoint.
      example:
        group_binding_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        created_by_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
        created_at: '2022-01-23T04:56:07.000Z'
        source_group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        groups:
          - group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            group_type: OKTA_GROUP
          - group_id: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
            group_type: AWS_SSO_GROUP
      properties:
        group_binding_id:
          description: The ID of the group binding.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        created_by_id:
          description: The ID of the user that created the group binding.
          example: 99d0b81d-14be-4cf6-bd27-348b4af1d11b
          format: uuid
          type: string
        created_at:
          description: The date the group binding was created.
          example: '2022-01-23T04:56:07.000Z'
          format: date-time
          type: string
        source_group_id:
          description: The ID of the source group.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        groups:
          description: The list of groups.
          items:
            $ref: '#/components/schemas/GroupBindingGroup'
          type: array
      required:
        - group_binding_id
        - created_by_id
        - created_at
        - source_group_id
        - groups
    GroupBindingGroup:
      description: >-
        # Group Binding Group Object

        ### Description

        The `GroupBindingGroup` object is used to represent a group binding
        group.


        ### Usage Example

        Get group binding groups from the `GET Group Bindings` endpoint.
      example:
        group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        group_type: OKTA_GROUP
      properties:
        group_id:
          description: The ID of the group.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        group_type:
          $ref: '#/components/schemas/GroupTypeEnum'
      required:
        - group_id
        - group_type
      type: object
    GroupTypeEnum:
      description: The type of the group.
      enum:
        - ACTIVE_DIRECTORY_GROUP
        - AWS_SSO_GROUP
        - DATABRICKS_ACCOUNT_GROUP
        - DUO_GROUP
        - GIT_HUB_TEAM
        - GIT_LAB_GROUP
        - GOOGLE_GROUPS_GROUP
        - GOOGLE_GROUPS_GKE_GROUP
        - LDAP_GROUP
        - OKTA_GROUP
        - OKTA_GROUP_RULE
        - TAILSCALE_GROUP
        - OPAL_GROUP
        - OPAL_ACCESS_RULE
        - AZURE_AD_SECURITY_GROUP
        - AZURE_AD_MICROSOFT_365_GROUP
        - CONNECTOR_GROUP
        - SNOWFLAKE_ROLE
        - WORKDAY_USER_SECURITY_GROUP
        - PAGERDUTY_ON_CALL_SCHEDULE
        - INCIDENTIO_ON_CALL_SCHEDULE
        - ROOTLY_ON_CALL_SCHEDULE
        - DEVIN_GROUP
        - GIT_HUB_ENTERPRISE_TEAM
        - GRAFANA_TEAM
        - CLICKHOUSE_ROLE
        - TWINGATE_GROUP
        - TWINGATE_GROUP_SYNCED
      example: OPAL_GROUP
      type: string
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````